.TH XLATEX 1 "august 24, 1994"  "Xlatex Version 3.3c"


.SH SYNTAX
.B xlatex 
[\fIToolkit args\fP] [\fIcontrol args\fP] [\fBdocument\fP]

.SH DESCRIPTION
.PP
\fIXlatex\fP has been designed to simplify the use of text processing tools
relatives to \fITeX\fP or \fILaTeX\fP. It's a main board with \fBcommand
buttons\fP to initiate the work, \fPchangeable fields\fP representing the
working environment and a \fBscrollable input/output window\fP receiving
diagnostic messages. Xlatex is \fBNOT\fP a new previewer nor a \fIwysiwyg\fP
package: it's just a fast and practice commands sequencer.

.SH ARGUMENTS
.sp 1
.TP 1c
\fBdocument\fP
absolute or relative path to the \fILaTeX\fP document. The \fI.tex\fP suffix
may or may not be specified. By default \fBdocument.tex\fP is assumed.

.PP

.SH CONTROL ARGUMENT
.sp 1
.TP 1c
\fB-gfont\fP \fIfont\fP
Generic font for the various fonts used in the design of \fIxlatex\fP. See \fB
font resources\fP below.

.PP

.SH DEFAULT XLATEX WORKING ENVIRONMENT

Most of these defaults may be overriden by resources specification.
.ta 4c
.sp 1
directory	current working directory
.sp 0
document	\fBdocument.tex\fP
.sp 0
text processor	\fBlatex\fP
.sp 0
previewer	\fBxdvi\fP
.sp 0
driver		\fBdvips\fP
.sp 0
drawing tool	\fBxfig\fP
.sp 0
printer command	\fBlpr\fP
.sp 0
printer station	defined in the \fBPRINTER\fP environment variable
.sp 0
text editor	defined in the \fBEDITOR\fP environment variable
.DT

.PP

.SH THE XLATEX WINDOW

The xlatex window is divided in three parts:
.RS 1c
- command buttons
.sp 0
- fields defining the working environment
.sp 0
- scrollable input/output window
.RE

.sp 1
.B command buttons
.sp 1
.TP 2.5c
\fBPROCESS\fP
submit the document to the text processor
.TP 2.5c
\fBDRAW\fP
call a drawing tool
.TP 2.5c
\fBVIEW\fP
call the previewer
.TP 2.5c
\fBPOSTSCRIPT\fP
generate a PostScript document
.TP 2.5c
\fBPRINT\fP
popup a form which allow you to specify the printing command and its optional
arguments, the printer, the pages range and the number of copies. By clicking
in the \fBOK\fP button, the \fBdvips\fP command is executed in pipe with the
\fIprinter\fP command. 
.TP 2.5c
\fBSTATUS\fP
show the printer queue.
.TP 2.5c
\fBEDIT\fP
invoke the text editor with the current document. If the \fBediteurAvecXterm\fP
resource has a \fBtrue\fP value, the editor is invoked inside an \fBxterm\fP
session. 
.TP 2.5c
\fBQUIT\fP
quit the application.

.PP

.sp 1
.B fields defining the working environment
.sp 1
These fields can be modified at any time.
.RS 1c
.TP 2.5c
\fBdirectory\fP
current working directory
.TP 2.5c
\fBdocument\fP
current document (the \fI.tex\fP doesn't appear)
.TP 2.5c
\fBpreviewer\fP
current previewer. Cliking inside popups a menu showing a list of \fIdvi\fP
previewers (see \fBvisionneurs\fP resource) and next a list of \fIPostScript\fP 
previewers (see \fBvisionneursPS\fP resource).
.TP 2.5c
\fBtext processor\fP
current text processor
.TP 2.5c
\fBdrawing tool\fP
current drawing tool.
.TP 2.5c
\fBeditor\fP
current text editor.
.RE
.PP
.sp 1
.B scrolled input/output window
.sp 1

This window receives all the messages produced by the execution of
commands submited like \fIlatex\fP and so on. You can type
messages which are send to the current executing command.

Note that the \fB^C\fP and \fP^D\fP sequences send the \fPSIGINT\fP and
\fPSIGTERM\fP respectively to the last submited text processor.

.SH
NOTES
.PP
Commands linked with buttons are executed by \fIexecv\fP (3) or 
\fIexecl\fP (3). Therefore, these commands can't be shell scripts.


.SH ACCELERATORS
.PP
Available everywhere in the xlatex window, accelerators have the same
effect as command buttons. Here are the relationships between
accelerators and the command buttons:
.sp 1
.RS 1c
Meta-t	PROCESS (\fBT\fPeX)
.sp 0
Meta-f	FIG
.sp 0
Meta-p	PRINT
.sp 0
Meta-d	DVIPS
.sp 0
Meta-v	VIEW
.sp 0
Meta-s	STATUS
.sp 0
Meta-e	EDIT
.sp 0
Meta-q	QUIT
.RE

.SH RESSOURCES
.PP
Resources may figure in your X-defaults resources file, \fBXlatex\fP is
the application name.
.TP 2.5c
\fBrepertoireInitial\fP
initial directory. If not specified, it's the current working directory.
It may be usefull to specify this resource if you always invoke xlatex
from a menu.
.TP 2.5c
\fBfaconneur\fP
text processor (\fBlatex\fP by default)
.TP 2.5c
\fBvisionneurs\fP
list of device-independent previewers (separated by a space or comma). A default
previewer can be set by preceding its name by a wildcard character (*).
.TP 2.5c
\fBvisionneursPS\fP
list of PostScript previewers (separated by a space or comma). A default
previewer can be set by preceding its name by a wildcard character (*).
.TP 2.5c
\fBediteur\fP
text editor (issued by default from the \fBEDITOR\fP environment
variable)
.TP 2.5c
\fBpilote\fP
PostScript driver command (\fBdvips\fP) by default)
.TP 2.5c
\fBimpression\fP
Postscript printer command piped with dvips (\fBlpr\fP by default)
.TP 2.5c
\fBdessin\fP
drawing command (default \fBxfig\fP)
.TP 2.5c
\fBediteurAvecXterm\fP
If \fBTrue\fP (the default), the text editor session will be invoked
under an xterm session (\fIgnu-emacs\fP doesn't require this).

.PP
.SH RESSOURCES EXAMPLES
.sp 1
.ta 
Xlatex.visionneurs:	*xdvi, texx
.sp 0
Xlatex.visionneursPS:	ghostview, gs
.sp 1
.DT

\fBbitmap\fP standard resources can be applied to command buttons :
.sp 1
Xlatex*faconner.bitmap:	xlatex.faconner
.sp 0
Xlatex*visionner.bitmap:	xlatex.visionner
.sp 0
Xlatex*dessiner.bitmap: xlatex.dessiner
.sp 0
Xlatex*imprimer.bitmap:	xlatex.imprimer
.sp 0
Xlatex*editer.bitmap:	xlatex.editer
.sp 0
Xlatex*statut.bitmap:	xlatex.statut
.sp 0
Xlatex*quitter.bitmap:	xlatex.quitter
.sp 1

.PP
.SH WIDGETS TREE
.sp 1
.ta 2c 3c 4c 5c 6c 7c 8c 9c
p.sp 0
Xlatex  xlatex
.sp 0
	Form  form
.sp 0
		Command  editer
.sp 0
                Command  dessiner
.sp 0
		Command  faconner
.sp 0
		Command  visionner
.sp 0
		Command  postscript
.sp 0
		Command  imprimer
.sp 0
		Command  statut
.sp 0
		Command  quitter
.sp 0
		Label  repertoireLab
.sp 0
		Text  repertoire
.sp 0
                Label  dessinLab
.sp 0
                Text  dessin
.sp 0
		Label  documentLab
.sp 0
		Text  document
.sp 0
		Label  visionneursLab
.sp 0
		MenuButton  visionneurs
.sp 0
			SimpleMenu  menuVisionneurs
.sp 0
				SmeBSB  xdvi
.sp 0
				SmeBSB  texx
.sp 0
				SmeLine  separateur
.sp 0
				SmeBSB  ghostview
.sp 0
				SmeBSB  gs
.sp 0
		Label  faconneurLab
.sp 0
		Text  faconneur
.sp 0
		Label  editeurLab
.sp 0
		Text  editeur
.sp 0
                Label  piloteLab
.sp 0
                Text  pilote
.sp 0
		Text  interaction
.sp 0
		TransientShell  popup
.sp 0
			Form  form
.sp 0
				Label  impressionLab
.sp 0
				Text  impression
.sp 0
				Label  imprimanteLab
.sp 0
				Text  imprimante
.sp 0
				Toggle  toutesTog
.sp 0
				Label  toutesLab
.sp 0
				Toggle  deTog
.sp 0
				Label  deLab
.sp 0
				Text  de
.sp 0
				Label  aLab
.sp 0
				Text  a
.sp 0
				Command  ok
.sp 0
				Command  annuler
.sp 0
				Label  copiesLab
.sp 0
				Text  copies
.sp 0
.PP
.SH FILES
.sp 0
/usr/lib/X11/app-defaults/Xlatex
.sp 0
~/.Xdefaults


.SH BUGS
.sp 1
When \fBXlatex\fP exits, it sends \fBSIGTERM\fP signal to the process group of
which it's the leader. However if some of these process create a new process group
or session, this signal will be ineffective.

.SH AUTHOR
.PP
Mario Dragone
.br
IUP Vannes (France)

Send bugs and comments to:
.sp 1
	dragone@iu-vannes.fr
